Bug 28949 - [SRPM] Compilation fails in current beta4 environment:
[SRPM] Compilation fails in current beta4 environment:
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: compat-egcs (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-22 19:30 EST by Enrico Scholz
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-22 21:50:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2001-02-22 19:30:50 EST
$ rpm --rebuild compat-egcs-6.2-1.1.2.9.src.rpm
...
  /usr/src/redhat/BUILD/egcs-1.1.2/obj-i586-linux/gcc/xgcc
-B/usr/src/redhat/BUILD/egcs-1.1.2/obj-i586-linux/gcc/ -c -g -O2
-fvtable-thunks -D_GNU_SOURCE -fno-implicit-templates -I. -I../../../libio
-nostdinc++ -D_IO_MTSAFE_IO -fpic ../../../libio/iostream.cc -o
pic/iostream.o
../../../libio/iostream.cc: In method `class ostream & ostream::operator
<<(char)':
../../../libio/iostream.cc:386: `_IO_USER_LOCK' undeclared (first use this
function)
../../../libio/iostream.cc:386: (Each undeclared identifier is reported
only once
../../../libio/iostream.cc:386: for each function it appears in.)
../../../libio/iostream.cc: In method `class ostream & ostream::operator
<<(int)':
../../../libio/iostream.cc:523: confused by earlier errors, bailing out
make[2]: *** [iostream.o] Error 1
make[1]: *** [all-target-libio] Error 2
make: *** [bootstrap-lean] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.74350 (%build)
    Bad exit status from /var/tmp/rpm-tmp.74350 (%build)
make[2]: Leaving directory
`/var/volatile/rpm/BUILD/egcs-1.1.2/obj-i586-linux/i586-glibc21-linux/libio'
make[1]: Leaving directory
`/var/volatile/rpm/BUILD/egcs-1.1.2/obj-i586-linux'


RPM build errors:
Comment 1 Bill Nottingham 2001-02-22 21:50:02 EST
You aren't supposed to do that; it's supposed to be built on a 6.2 system.

In any case, applying the patch to build gcc-2.95.2 on glibc-2.2 will
probably help.
Comment 2 Jakub Jelinek 2001-03-09 07:56:05 EST
compat-egcs is really meant to be built in 6.2, but I've fixed this anyway in
compat-egcs-6.2-1.1.2.11.

Note You need to log in before you can comment on or make changes to this bug.